Skip to content

Download a stored file

GET
/file/{id}
id
required

Lowercase hex SHA-256 of the file content

string
/^[0-9a-f]{64}$/

Lowercase hex SHA-256 of the file content

File content with its stored content type

string format: binary

Malformed request body or parameters (invalid_request)

object
error
required

Human-readable message

string
code
required

Stable machine-readable error code. Clients should treat unknown codes as internal_error.

string
Allowed values: invalid_request unauthorized not_found file_not_found payload_too_large limits_exceeded profile_not_allowed capacity_exhausted rate_limited shutting_down cancelled deadline_exceeded sandbox_setup_failed cache_disabled internal_error
Example
{
"error": "Failed to deserialize the JSON body into the target type: missing field `cmd`",
"code": "invalid_request"
}

Missing or wrong API key (unauthorized)

object
error
required

Human-readable message

string
code
required

Stable machine-readable error code. Clients should treat unknown codes as internal_error.

string
Allowed values: invalid_request unauthorized not_found file_not_found payload_too_large limits_exceeded profile_not_allowed capacity_exhausted rate_limited shutting_down cancelled deadline_exceeded sandbox_setup_failed cache_disabled internal_error
Example
{
"error": "Missing or invalid API key",
"code": "unauthorized"
}
WWW-Authenticate
string

No such resource (not_found)

object
error
required

Human-readable message

string
code
required

Stable machine-readable error code. Clients should treat unknown codes as internal_error.

string
Allowed values: invalid_request unauthorized not_found file_not_found payload_too_large limits_exceeded profile_not_allowed capacity_exhausted rate_limited shutting_down cancelled deadline_exceeded sandbox_setup_failed cache_disabled internal_error
Example
{
"error": "File not found: 9f86d081884c7d659a2feaa0c55ad015a3bf4f1b2b0b822cd15d6c15b0f00a08",
"code": "not_found"
}

The API key has used up its requests (rate_limited). Sent only when the service enables per-key rate limiting (RATE_LIMIT_PER_MINUTE). Retry after the Retry-After header.

object
error
required

Human-readable message

string
code
required

Stable machine-readable error code. Clients should treat unknown codes as internal_error.

string
Allowed values: invalid_request unauthorized not_found file_not_found payload_too_large limits_exceeded profile_not_allowed capacity_exhausted rate_limited shutting_down cancelled deadline_exceeded sandbox_setup_failed cache_disabled internal_error
Example
{
"error": "Rate limit exceeded for this API key",
"code": "rate_limited"
}
Retry-After
integer

Seconds until the key may make another request